'use strict';

const getFiltered = require("./get-filtered");
const isAttribute = require("../is/attribute");
const isInternal = require("../is/internal");

module.exports = getFiltered("attributes", (key, node) => {
	return (!isInternal(key) && key !== "type" && isAttribute(node[key]));
});
