'use strict';

const getFiltered = require("./get-filtered");
const isNodes = require("../is/nodes");
const isInternal = require("../is/internal");

module.exports = getFiltered("nodeSequences", (key, node) => {
	return (!isInternal(key) && key !== "type" && isNodes(node[key]));
});
