'use strict';

const getFiltered = require("./get-filtered");
const isNode = require("../is/node");
const isInternal = require("../is/internal");

module.exports = getFiltered("nodes", (key, node) => {
	return (!isInternal(key) && key !== "type" && isNode(node[key]));
});
