'use strict';

const path = require("path");

const webpackPresetLoader = require("webpack-preset-loader");

module.exports = webpackPresetLoader([
	require("@joepie91/webpack-preset-hot-reload")(),
	require("@joepie91/webpack-preset-babel")({
		supportReact: true
	}),
	require("@joepie91/webpack-preset-simple-bundle")({
		source: path.join(__dirname, "src/frontend/index.jsx"),
		destinationFolder: path.join(__dirname, "public/static/")
	})
], {
	watch: true,
	mode: "development",
	devtool: "source-map"
});
