'use strict';

const isNode = require("./node");
const isNodes = require("./nodes");

module.exports = function isAttribute(value) {
	/* We assume that anything that isn't a node or a list of them, is therefore an attribute. */
	return (!isNode(value) && !isNodes(value) && typeof value !== "function");
};
