'use strict';

module.exports = function createNodePropertyFilterFunction(predicate) {
	return function (astItem) {
		return predicate(astItem).reduce((obj, key) => {
			obj[key] = astItem[key];
			return obj;
		}, {});
	};
};
