'use strict';

/*
special case: in a function...
	if defaults: function param env + body declaration env
	if no defaults: single shared env
this is to keep default-expressions from seeing the body-declared variables

*/

module.exports = function createsFunctionScope(node) {
	return (
		node.type === "FunctionDeclaration" ||
		node.type === "FunctionExpression" ||
		node.type === "ArrowFunctionExpression"
	);
};
