'use strict';

const React = require("react");
const createReactClass = require("create-react-class");

module.exports = createReactClass({
	displayName: "AstItemAttributeSeries",
	render: function () {
		let Item = this.props.itemType;

		return (
			<div className={this.props.className}>
				{Object.keys(this.props.items).map((key) => {
					return (<Item key={key} itemKey={key} value={this.props.items[key]} />);
				})}
			</div>
		);
	}
});
