'use strict';

const Promise = require("bluebird");
const documentReadyPromise = require("document-ready-promise");
const React = require("react");
const ReactDOM = require("react-dom");

const App = require("./app");

Promise.try(() => {
	return documentReadyPromise();
}).then(() => {
	console.log("Foo Bar");
	ReactDOM.render(<App />, document.getElementById("app"));
});
